
-- ----------------------------------------------------------
--   Useful information goes here at the top, like Copyright 
--   notices, authors, creation dates, etc..  All of this is 
--   ingnored by the compiler.
-- ----------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.NUMERIC_STD.all;
use IEEE.STD_LOGIC_MISC.all;
use IEEE.STD_LOGIC_UNSIGNED.all;


entity led_blinker is
  port 
   (
    clk            : in  std_logic; --50MHz
    --
    led            : out std_logic
   );
end entity led_blinker;

architecture Behavioral of led_blinker is

   signal counter        : unsigned(27 downto 0);
   
begin
   
   led_counter : process(clk) 
   begin
      if rising_edge(clk) then
        counter <= counter + 1;
      end if;
   end process;
   
   led <= counter(27);
     
end architecture Behavioral;



